gnu.io

## Class ParallelPort

- java.lang.Object
- - gnu.io.CommPort
  - - gnu.io.ParallelPort

    public abstract class ParallelPort
    extends CommPort

Since:
  JDK1.0

### Field Summary

Fields
`static int` `LPT_MODE_ANY`
`static int` `LPT_MODE_ECP`
`static int` `LPT_MODE_EPP`
`static int` `LPT_MODE_NIBBLE`
`static int` `LPT_MODE_PS2`
`static int` `LPT_MODE_SPP`

### Fields inherited from class gnu.io.CommPort

`name`

### Constructor Summary

Constructors
Constructor and Description
`ParallelPort()`

### Method Summary

Methods
`abstract void` `addEventListener(ParallelPortEventListener lsnr)`
`abstract int` `getMode()`
`abstract int` `getOutputBufferFree()`
`abstract boolean` `isPaperOut()`
`abstract boolean` `isPrinterBusy()`
`abstract boolean` `isPrinterError()`
`abstract boolean` `isPrinterSelected()`
`abstract boolean` `isPrinterTimedOut()`
`abstract void` `notifyOnBuffer(boolean enable)`
`abstract void` `notifyOnError(boolean enable)`
`abstract void` `removeEventListener()`
`abstract void` `restart()`
`abstract int` `setMode(int mode)`
`abstract void` `suspend()`

### Methods inherited from class gnu.io.CommPort

`close, disableReceiveFraming, disableReceiveThreshold, disableReceiveTimeout, enableReceiveFraming, enableReceiveThreshold, enableReceiveTimeout, getInputBufferSize, getInputStream, getName, getOutputBufferSize, getOutputStream, getReceiveFramingByte, getReceiveThreshold, getReceiveTimeout, isReceiveFramingEnabled, isReceiveThresholdEnabled, isReceiveTimeoutEnabled, setInputBufferSize, setOutputBufferSize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LPT_MODE_ANY

    public static final int LPT_MODE_ANY

See Also:
  Constant Field Values

#### LPT_MODE_SPP

    public static final int LPT_MODE_SPP

See Also:
  Constant Field Values

#### LPT_MODE_PS2

    public static final int LPT_MODE_PS2

See Also:
  Constant Field Values

#### LPT_MODE_EPP

    public static final int LPT_MODE_EPP

See Also:
  Constant Field Values

#### LPT_MODE_ECP

    public static final int LPT_MODE_ECP

See Also:
  Constant Field Values

#### LPT_MODE_NIBBLE

    public static final int LPT_MODE_NIBBLE

See Also:
  Constant Field Values

### Constructor Detail

#### ParallelPort

    public ParallelPort()

### Method Detail

#### getMode

    public abstract int getMode()

#### setMode

    public abstract int setMode(int mode)
                         throws UnsupportedCommOperationException

Throws:
  `UnsupportedCommOperationException`

#### restart

    public abstract void restart()

#### suspend

    public abstract void suspend()

#### isPaperOut

    public abstract boolean isPaperOut()

#### isPrinterBusy

    public abstract boolean isPrinterBusy()

#### isPrinterError

    public abstract boolean isPrinterError()

#### isPrinterSelected

    public abstract boolean isPrinterSelected()

#### isPrinterTimedOut

    public abstract boolean isPrinterTimedOut()

#### getOutputBufferFree

    public abstract int getOutputBufferFree()

#### addEventListener

    public abstract void addEventListener(ParallelPortEventListener lsnr)
                                   throws java.util.TooManyListenersException

Throws:
  `java.util.TooManyListenersException`

#### removeEventListener

    public abstract void removeEventListener()

#### notifyOnError

    public abstract void notifyOnError(boolean enable)

#### notifyOnBuffer

    public abstract void notifyOnBuffer(boolean enable)